<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{65F3E762-800C-499E-862F-A535642EC54F}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>Project</RootNamespace>
    <AssemblyName>Amkor</AssemblyName>
    <TargetFrameworkVersion>v4.7</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <SignAssembly>False</SignAssembly>
    <DelaySign>False</DelaySign>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
    <NoStdLib>False</NoStdLib>
    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
    <IntermediateOutputPath>obj\$(Configuration)\</IntermediateOutputPath>
    <TargetFrameworkProfile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <PublishUrl>게시\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>x64</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>Full</DebugType>
    <Optimize>False</Optimize>
    <OutputPath>..\..\..\..\..\Amkor\BulkReelReader\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\..\ManualMapEditor\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>icons8-split-64.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <TargetZone>LocalIntranet</TargetZone>
  </PropertyGroup>
  <PropertyGroup>
    <GenerateManifests>false</GenerateManifests>
  </PropertyGroup>
  <PropertyGroup />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>..\..\..\STDLabelAttach%28Recv%29\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <OutputPath>bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
    <StartAction>Project</StartAction>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <BaseIntermediateOutputPath>obj\</BaseIntermediateOutputPath>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Platform)' == 'AnyCPU' ">
    <BaseAddress>4194304</BaseAddress>
    <RegisterForComInterop>False</RegisterForComInterop>
    <GenerateSerializationAssemblies>Auto</GenerateSerializationAssemblies>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="ArLog.Net4">
      <HintPath>..\DLL\ArLog.Net4.dll</HintPath>
    </Reference>
    <Reference Include="ArSetting.Net4, Version=19.7.3.2330, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\DLL\ArSetting.Net4.dll</HintPath>
    </Reference>
    <Reference Include="ChilkatDotNet47, Version=9.5.0.77, Culture=neutral, PublicKeyToken=eb5fc1fc52ef09bd, processorArchitecture=AMD64">
      <HintPath>..\packages\chilkat-x64.9.5.0.77\lib\net47\ChilkatDotNet47.dll</HintPath>
    </Reference>
    <Reference Include="Communication, Version=6.49.0.0, Culture=neutral, processorArchitecture=x86">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\Library\SR_SDK\SDK\x64\Communication.dll</HintPath>
    </Reference>
    <Reference Include="Emgu.CV.DebuggerVisualizers.VS2017">
      <HintPath>C:\Emgu\emgucv-windesktop 3.2.0.2682\bin\Emgu.CV.DebuggerVisualizers.VS2017.dll</HintPath>
    </Reference>
    <Reference Include="Emgu.CV.UI">
      <HintPath>C:\Emgu\emgucv-windesktop 3.2.0.2682\bin\Emgu.CV.UI.dll</HintPath>
    </Reference>
    <Reference Include="Emgu.CV.World">
      <HintPath>C:\Emgu\emgucv-windesktop 3.2.0.2682\bin\Emgu.CV.World.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.2.0\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.2.0\lib\net45\EntityFramework.SqlServer.dll</HintPath>
    </Reference>
    <Reference Include="HidSharp, Version=2.1.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\HidSharp.2.1.0\lib\net35\HidSharp.dll</HintPath>
    </Reference>
    <Reference Include="Keyence.AutoID.SDK, Version=2.0.0.0, Culture=neutral, processorArchitecture=x86">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\Library\SR_SDK\SDK\x64\Keyence.AutoID.SDK.dll</HintPath>
    </Reference>
    <Reference Include="libxl.net, Version=3.8.1.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\DLL\libxl\libxl.net.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.12.0.3\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="Open_eVision_NetApi_2_11">
      <HintPath>C:\Program Files (x86)\Euresys\Open eVision 2.11\Bin64\Open_eVision_NetApi_2_11.dll</HintPath>
    </Reference>
    <Reference Include="SoftekBarcodeNet, Version=8.4.1.1, Culture=neutral, PublicKeyToken=0c0cfa0c1204857f, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>.\SoftekBarcodeNet.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.Composition" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Drawing.Common.5.0.0\lib\net461\System.Drawing.Common.dll</HintPath>
    </Reference>
    <Reference Include="System.Drawing.Primitives, Version=4.0.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Drawing.Primitives.4.3.0\lib\net45\System.Drawing.Primitives.dll</HintPath>
    </Reference>
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.IO.Compression.FileSystem" />
    <Reference Include="System.Management" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="VncClientControlCommon, Version=6.49.0.0, Culture=neutral, processorArchitecture=x86">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\Library\SR_SDK\SDK\x64\VncClientControlCommon.dll</HintPath>
    </Reference>
    <Reference Include="VncClientControlCommonLib, Version=6.49.0.0, Culture=neutral, processorArchitecture=x86">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\Library\SR_SDK\SDK\x64\VncClientControlCommonLib.dll</HintPath>
    </Reference>
    <Reference Include="WatsonWebsocket">
      <HintPath>..\DLL\WatsonWebsocket.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\Project\StateMachine\DisplayTextHandler.cs">
      <Link>StateMachine\DisplayTextHandler.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\EnumStruct.cs">
      <Link>StateMachine\EnumStruct.cs</Link>
    </Compile>
    <Compile Include="..\Project\StateMachine\EventArgs.cs">
      <Link>StateMachine\EventArgs.cs</Link>
    </Compile>
    <Compile Include="..\Project\StateMachine\Loop\OVERLOAD.cs">
      <Link>StateMachine\Loop\OVERLOAD.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Loop\RUN.cs">
      <Link>StateMachine\Loop\RUN.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Loop\SM_LIVEVIEW.cs">
      <Link>StateMachine\Loop\SM_LIVEVIEW.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Main\_SM_MAIN_ERROR.cs">
      <Link>StateMachine\Main\_SM_MAIN_ERROR.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Main\_SM_MAIN_POSRESET.cs">
      <Link>StateMachine\Main\_SM_MAIN_POSRESET.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_RUN_MOT_PL_Move.cs">
      <Link>StateMachine\Run\_RUN_MOT_PL_Move.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_RUN_MOT_PL_UpDn.cs">
      <Link>StateMachine\Run\_RUN_MOT_PL_UpDn.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_RUN_MOT_PORT.cs">
      <Link>StateMachine\Run\_RUN_MOT_PORT.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_RUN_MOT_PX.cs">
      <Link>StateMachine\Run\_RUN_MOT_PX.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_RUN_MOT_PZ.cs">
      <Link>StateMachine\Run\_RUN_MOT_PZ.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_RUN_PRINTER.cs">
      <Link>StateMachine\Run\_RUN_PRINTER.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_RUN_VISION.cs">
      <Link>StateMachine\Run\_RUN_VISION.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_SM_RUN_00_INIT.cs">
      <Link>StateMachine\Run\_SM_RUN_00_INIT.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_SM_RUN_10_STARTCHKSW.cs">
      <Link>StateMachine\Run\_SM_RUN_10_STARTCHKSW.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_SM_RUN_11_STARTCHKHW.cs">
      <Link>StateMachine\Run\_SM_RUN_11_STARTCHKHW.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_SM_RUN_12_INITIALHW.cs">
      <Link>StateMachine\Run\_SM_RUN_12_INITIALHW.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_SM_RUN_50_ITEM_PICKOF.cs">
      <Link>StateMachine\Run\_SM_RUN_50_ITEM_PICKOF.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_SM_RUN_51_ITEM_PICKON.cs">
      <Link>StateMachine\Run\_SM_RUN_51_ITEM_PICKON.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_SM_RUN_60_PRINTER_PICKOF.cs">
      <Link>StateMachine\Run\_SM_RUN_60_PRINTER_PICKOF.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_SM_RUN_61_PRINTER_PICKON.cs">
      <Link>StateMachine\Run\_SM_RUN_61_PRINTER_PICKON.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_SM_RUN_99_SAVEDATA.cs">
      <Link>StateMachine\Run\_SM_RUN_99_SAVEDATA.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_SM_RUN_Z0_QUICK_HOME.cs">
      <Link>StateMachine\Run\_SM_RUN_Z0_QUICK_HOME.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\Run\_SM_RUN_Z0_SAFTY_HOME.cs">
      <Link>StateMachine\Run\_SM_RUN_Z0_SAFTY_HOME.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_Close.cs">
      <Link>StateMachine\_Close.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_Dio.cs">
      <Link>StateMachine\_Dio.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_Flag.cs">
      <Link>StateMachine\_Flag.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_Joystick.cs">
      <Link>StateMachine\_Joystick.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_Keyence.cs">
      <Link>StateMachine\_Keyence.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_Keyence_Rule_ReturnReel.cs">
      <Link>StateMachine\_Keyence_Rule_ReturnReel.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_Loop.cs">
      <Link>StateMachine\_Loop.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_Motion.cs">
      <Link>StateMachine\_Motion.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_SM_RUN.cs">
      <Link>StateMachine\_SM_RUN.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_SPS.cs">
      <Link>StateMachine\_SPS.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_TMDisplay.cs">
      <Link>StateMachine\_TMDisplay.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="..\Project\StateMachine\_Vision.cs">
      <Link>StateMachine\_Vision.cs</Link>
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Class\AmkorReelID.cs" />
    <Compile Include="Class\CHistoryJOB.cs" />
    <Compile Include="Class\CHistorySIDRef.cs" />
    <Compile Include="Class\JoystickRaw.cs" />
    <Compile Include="Class\KeyenceBarcodeData.cs" />
    <Compile Include="Class\VisionData.cs" />
    <Compile Include="Class\ItemData.cs" />
    <Compile Include="Component_Reel_CustInfo.cs">
      <DependentUpon>Model1.tt</DependentUpon>
    </Compile>
    <Compile Include="Component_Reel_CustRule.cs">
      <DependentUpon>Model1.tt</DependentUpon>
    </Compile>
    <Compile Include="Component_Reel_Info.cs">
      <DependentUpon>Model1.tt</DependentUpon>
    </Compile>
    <Compile Include="Component_Reel_Result.cs">
      <DependentUpon>Model1.tt</DependentUpon>
    </Compile>
    <Compile Include="Component_Reel_SIDConv.cs">
      <DependentUpon>Model1.tt</DependentUpon>
    </Compile>
    <Compile Include="Component_Reel_SIDInfo.cs">
      <DependentUpon>Model1.tt</DependentUpon>
    </Compile>
    <Compile Include="Device\Crevis.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fDataBufferSIDRef.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fDataBufferSIDRef.Designer.cs">
      <DependentUpon>fDataBufferSIDRef.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fEmulator.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fEmulator.Designer.cs">
      <DependentUpon>fEmulator.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fImportSIDInfo.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fImportSIDInfo.Designer.cs">
      <DependentUpon>fImportSIDInfo.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fImportSIDConv.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fImportSIDConv.Designer.cs">
      <DependentUpon>fImportSIDConv.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fLoaderInfo.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fLoaderInfo.Designer.cs">
      <DependentUpon>fLoaderInfo.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fNewReelID.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fNewReelID.Designer.cs">
      <DependentUpon>fNewReelID.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fNewSID.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fNewSID.Designer.cs">
      <DependentUpon>fNewSID.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fPickerMove.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fPickerMove.Designer.cs">
      <DependentUpon>fPickerMove.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fSelectCustInfo.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fSelectCustInfo.Designer.cs">
      <DependentUpon>fSelectCustInfo.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fSelectResult.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fSelectResult.Designer.cs">
      <DependentUpon>fSelectResult.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fSelectDataList.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fSelectDataList.Designer.cs">
      <DependentUpon>fSelectDataList.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fSelectDay.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fSelectDay.Designer.cs">
      <DependentUpon>fSelectDay.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fSelectJob.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fSelectJob.Designer.cs">
      <DependentUpon>fSelectJob.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fSelectSID.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fSelectSID.Designer.cs">
      <DependentUpon>fSelectSID.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Class\CInterLock.cs" />
    <Compile Include="Class\ModelInfoM.cs" />
    <Compile Include="Class\EnumData.cs" />
    <Compile Include="Class\ModelInfoV.cs" />
    <Compile Include="Class\CResult.cs" />
    <Compile Include="Class\PositionData.cs" />
    <Compile Include="Dialog\fDebug.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fDebug.Designer.cs">
      <DependentUpon>fDebug.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fFinishJob.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fFinishJob.Designer.cs">
      <DependentUpon>fFinishJob.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fSIDQty.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fSIDQty.Designer.cs">
      <DependentUpon>fSIDQty.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\StateMachine\_SM_RUN.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\Util\Util_DO.cs" />
    <Compile Include="Don%27t change it\Util\Util_Mot.cs" />
    <Compile Include="DataSet1.cs">
      <DependentUpon>DataSet1.xsd</DependentUpon>
    </Compile>
    <Compile Include="DataSet1.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>DataSet1.xsd</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Class\CFlag.cs" />
    <Compile Include="Dialog\QuickControl.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\QuickControl.Designer.cs">
      <DependentUpon>QuickControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fIOMonitor.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fIOMonitor.Designer.cs">
      <DependentUpon>fIOMonitor.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fInput.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fInput.Designer.cs">
      <DependentUpon>fInput.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fLog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fLog.Designer.cs">
      <DependentUpon>fLog.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fMessageBox.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fMessageBox.Designer.cs">
      <DependentUpon>fMessageBox.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fTouchKey.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fTouchKey.Designer.cs">
      <DependentUpon>fTouchKey.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fTouchKeyFull.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fTouchKeyFull.Designer.cs">
      <DependentUpon>fTouchKeyFull.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fTouchNumDot.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fTouchNumDot.Designer.cs">
      <DependentUpon>fTouchNumDot.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fPassword.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fPassword.Designer.cs">
      <DependentUpon>fPassword.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fErrorException.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\fErrorException.Designer.cs">
      <DependentUpon>fErrorException.cs</DependentUpon>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\SystemParameter.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\Dialog\SystemParameter.Designer.cs">
      <DependentUpon>SystemParameter.cs</DependentUpon>
    </Compile>
    <Compile Include="DSList.cs">
      <DependentUpon>DSList.xsd</DependentUpon>
    </Compile>
    <Compile Include="DSList.Designer.cs">
      <DependentUpon>DSList.xsd</DependentUpon>
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
    </Compile>
    <Compile Include="fMain.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="fMain.Designer.cs">
      <DependentUpon>fMain.cs</DependentUpon>
    </Compile>
    <Compile Include="fModelV.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="fModelV.Designer.cs">
      <DependentUpon>fModelV.cs</DependentUpon>
    </Compile>
    <Compile Include="fModelM.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="fModelM.Designer.cs">
      <DependentUpon>fModelM.cs</DependentUpon>
    </Compile>
    <Compile Include="Manager\DatabaseManagerSIDHistory.cs" />
    <Compile Include="Model1.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Model1.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="Model1.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Model1.tt</DependentUpon>
    </Compile>
    <Compile Include="Model1.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Model1.edmx</DependentUpon>
    </Compile>
    <Compile Include="Setting\CounterSetting.cs" />
    <Compile Include="Setting\fSetting.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Setting\fSetting.Designer.cs">
      <DependentUpon>fSetting.cs</DependentUpon>
    </Compile>
    <Compile Include="Language\Lang.cs" />
    <Compile Include="Manager\DataBaseManagerCount.cs" />
    <Compile Include="Manager\DatabaseManagerHistory.cs" />
    <Compile Include="Manager\ModelManager.cs" />
    <Compile Include="Don%27t change it\MessageWindow\MessageWindow.cs" />
    <Compile Include="Don%27t change it\MessageWindow\CMessageData.cs" />
    <Compile Include="Don%27t change it\MessageWindow\fMsgWindow.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\MessageWindow\fMsgWindow.Designer.cs">
      <DependentUpon>fMsgWindow.cs</DependentUpon>
    </Compile>
    <Compile Include="MethodExtentions.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Pub.cs" />
    <Compile Include="Setting\CSetting.cs" />
    <Compile Include="Setting\SystemSetting.cs" />
    <Compile Include="Setting\UserSetting.cs" />
    <Compile Include="StateMachine\_Keyence_Rule.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UIControl\CtlBase.cs" />
    <Compile Include="UIControl\CtlBase.Designer.cs">
      <DependentUpon>CtlBase.cs</DependentUpon>
    </Compile>
    <Compile Include="UIControl\CtlContainer.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UIControl\CtlContainer.Designer.cs">
      <DependentUpon>CtlContainer.cs</DependentUpon>
    </Compile>
    <Compile Include="UIControl\CtlCylinder.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UIControl\CtlCylinder.Designer.cs">
      <DependentUpon>CtlCylinder.cs</DependentUpon>
    </Compile>
    <Compile Include="UIControl\CtlMotor.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UIControl\CtlMotor.Designer.cs">
      <DependentUpon>CtlMotor.cs</DependentUpon>
    </Compile>
    <Compile Include="UIControl\CtlSensor.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UIControl\CtlSensor.Designer.cs">
      <DependentUpon>CtlSensor.cs</DependentUpon>
    </Compile>
    <Compile Include="UIControl\CtlTowerLamp.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UIControl\CtlTowerLamp.Designer.cs">
      <DependentUpon>CtlTowerLamp.cs</DependentUpon>
    </Compile>
    <Compile Include="Util\Util_Vision.cs" />
    <Compile Include="Validation\Mot_Move.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Validation\Mot_ZL.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Don%27t change it\StateMachine\StateMachine.cs" />
    <Compile Include="Util.cs" />
    <Compile Include="Util\Util_DO.cs" />
    <Compile Include="Util\Util_Mot.cs" />
    <Compile Include="vCustomerList.cs">
      <DependentUpon>Model1.tt</DependentUpon>
    </Compile>
    <EmbeddedResource Include="Dialog\fDataBufferSIDRef.resx">
      <DependentUpon>fDataBufferSIDRef.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fEmulator.resx">
      <DependentUpon>fEmulator.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fImportSIDInfo.resx">
      <DependentUpon>fImportSIDInfo.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fImportSIDConv.resx">
      <DependentUpon>fImportSIDConv.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fLoaderInfo.resx">
      <DependentUpon>fLoaderInfo.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fNewReelID.resx">
      <DependentUpon>fNewReelID.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fNewSID.resx">
      <DependentUpon>fNewSID.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fPickerMove.resx">
      <DependentUpon>fPickerMove.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fSelectCustInfo.resx">
      <DependentUpon>fSelectCustInfo.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fSelectResult.resx">
      <DependentUpon>fSelectResult.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fSelectDataList.resx">
      <DependentUpon>fSelectDataList.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fSelectDay.resx">
      <DependentUpon>fSelectDay.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fSelectJob.resx">
      <DependentUpon>fSelectJob.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fDebug.resx">
      <DependentUpon>fDebug.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fFinishJob.resx">
      <DependentUpon>fFinishJob.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\QuickControl.resx">
      <DependentUpon>QuickControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fSelectSID.resx">
      <DependentUpon>fSelectSID.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Don%27t change it\Dialog\fIOMonitor.resx">
      <DependentUpon>fIOMonitor.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Don%27t change it\Dialog\fInput.resx">
      <DependentUpon>fInput.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Don%27t change it\Dialog\fLog.resx">
      <DependentUpon>fLog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Don%27t change it\Dialog\fMessageBox.resx">
      <DependentUpon>fMessageBox.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fSIDQty.resx">
      <DependentUpon>fSIDQty.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Don%27t change it\Dialog\fTouchKey.resx">
      <DependentUpon>fTouchKey.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Don%27t change it\Dialog\fTouchKeyFull.resx">
      <DependentUpon>fTouchKeyFull.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Don%27t change it\Dialog\fTouchNumDot.resx">
      <DependentUpon>fTouchNumDot.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Don%27t change it\Dialog\fPassword.resx">
      <DependentUpon>fPassword.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Don%27t change it\Dialog\fErrorException.resx">
      <DependentUpon>fErrorException.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Don%27t change it\Dialog\SystemParameter.resx">
      <DependentUpon>SystemParameter.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="fMain.resx">
      <DependentUpon>fMain.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="fModelV.resx">
      <DependentUpon>fModelV.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="fModelM.resx">
      <DependentUpon>fModelM.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Setting\fSetting.resx">
      <DependentUpon>fSetting.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Don%27t change it\MessageWindow\fMsgWindow.resx">
      <DependentUpon>fMsgWindow.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="UIControl\CtlMotor.resx">
      <DependentUpon>CtlMotor.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="app.config" />
    <None Include="DataSet1.xsc">
      <DependentUpon>DataSet1.xsd</DependentUpon>
    </None>
    <None Include="DataSet1.xsd">
      <SubType>Designer</SubType>
      <Generator>MSDataSetGenerator</Generator>
      <LastGenOutput>DataSet1.Designer.cs</LastGenOutput>
    </None>
    <None Include="DataSet1.xss">
      <DependentUpon>DataSet1.xsd</DependentUpon>
      <SubType>Designer</SubType>
    </None>
    <EntityDeploy Include="Model1.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>Model1.Designer.cs</LastGenOutput>
    </EntityDeploy>
    <None Include="DSList.xsc">
      <DependentUpon>DSList.xsd</DependentUpon>
    </None>
    <None Include="DSList.xsd">
      <Generator>MSDataSetGenerator</Generator>
      <LastGenOutput>DSList.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </None>
    <None Include="DSList.xss">
      <DependentUpon>DSList.xsd</DependentUpon>
    </None>
    <None Include="Model1.edmx.diagram">
      <DependentUpon>Model1.edmx</DependentUpon>
    </None>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="DebenuPDFLibrary64DLL.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Include="DebenuPDFLibraryDLL.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <Content Include="History.txt" />
    <Content Include="icons8-layers-30.ico" />
    <Content Include="icons8-split-64.ico" />
    <None Include="SoftekBarcode64DLL.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Include="SoftekBarcodeDLL.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <Content Include="libxl.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Model1.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>Model1.Context.cs</LastGenOutput>
      <DependentUpon>Model1.edmx</DependentUpon>
    </Content>
    <Content Include="Model1.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>Model1.edmx</DependentUpon>
      <LastGenOutput>Model1.cs</LastGenOutput>
    </Content>
    <Content Include="SoftekBarcodeNet.dll" />
    <None Include="Resources\icons8-copy-40.png" />
    <None Include="Resources\icons8-checked-40.png" />
    <None Include="Resources\icons8-cancel-40.png" />
    <None Include="Resources\icons8-plus-40.png" />
    <None Include="Resources\icons8-checked-radio-button-48.png" />
    <None Include="Resources\icons8-save-40.png" />
    <None Include="Resources\icons8-unavailable-40.png" />
    <None Include="Resources\icons8-new-40.png" />
    <None Include="Resources\icons8-running-40.png" />
    <None Include="Resources\icons8-no-running-40.png" />
    <None Include="Resources\icons8-exercise-40.png" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.0">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4%28x86 및 x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.4.5">
      <Visible>False</Visible>
      <ProductName>Windows Installer 4.5</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\CapCleaningControl\UIControl.csproj">
      <Project>{9264cd2e-7cf8-4237-a69f-dcda984e0613}</Project>
      <Name>UIControl</Name>
    </ProjectReference>
    <ProjectReference Include="..\Sub\AmkorRestfulService\AmkorRestfulService.csproj">
      <Project>{58cfc90c-5068-46a2-a8de-0e92ee9e0990}</Project>
      <Name>AmkorRestfulService</Name>
    </ProjectReference>
    <ProjectReference Include="..\Sub\arAzinAxt.Net40\arAzinAxt.csproj">
      <Project>{4f457e76-bf83-4b98-8565-ae87d7d16744}</Project>
      <Name>arAzinAxt</Name>
    </ProjectReference>
    <ProjectReference Include="..\Sub\arCtl\arControl.csproj">
      <Project>{f31c242c-1b15-4518-9733-48558499fe4b}</Project>
      <Name>arControl</Name>
    </ProjectReference>
    <ProjectReference Include="..\Sub\arFrameControl\arFrameControl.csproj">
      <Project>{a16c9667-5241-4313-888e-548375f85d29}</Project>
      <Name>arFrameControl</Name>
    </ProjectReference>
    <ProjectReference Include="..\Sub\arImageViewer_Emgu\arImageViewer.Emgu.csproj">
      <Project>{ed0d4179-fc0d-48d5-8bb3-cbf0f03d170c}</Project>
      <Name>arImageViewer.Emgu</Name>
    </ProjectReference>
    <ProjectReference Include="..\Sub\arRS232\arRS232.csproj">
      <Project>{802df40d-660e-4d72-b982-2fe5e6a7df1a}</Project>
      <Name>arRS232</Name>
    </ProjectReference>
    <ProjectReference Include="..\Sub\StdLabelPrint\StdLabelPrint.csproj">
      <Project>{b18d3b96-2fdf-4ed9-9a49-d9b8cee4ed6d}</Project>
      <Name>StdLabelPrint</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Don%27t change it\Device\" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>